<template>
  <div class="home">
    <h1>Home</h1>
    <p>
      This app is a collection of design experiments
    </p>
    <ul>
      <li
        v-for="route in routes"
        v-bind:key="route.name">
        <router-link
          class="nav_item"

          :to="{ name: route.name}">

          {{route.name}}

        </router-link>
      </li>

    </ul>

  </div>
</template>

<script>
// @ is an alias to /src

export default {
  name: 'Home',
  components: {

  },
  computed: {
    routes(){
      const routes = []
      const context = require.context(`@/views/experiments`, true, /\.vue$/i)
      context.keys().forEach((key) => {

        let filename = key.split('./')[1]
        let name = filename.split('.vue')[0]
        routes.push({
          path: `/${name}`,
          name,
          component: () => import (`@/views/experiments/${filename}`)

        })
      })

      return routes
    }
  }
}
</script>


<style scoped>

.home {
  padding: 1em;
}

</style>
